/***************************************************************************
 *             __________               __   ___.
 *   Open      \______   \ ____   ____ |  | _\_ |__   _______  ___
 *   Source     |       _//  _ \_/ ___\|  |/ /| __ \ /  _ \  \/  /
 *   Jukebox    |    |   (  <_> )  \___|    < | \_\ (  <_> > <  <
 *   Firmware   |____|_  /\____/ \___  >__|_ \|___  /\____/__/\_ \
 *                     \/            \/     \/    \/            \/
 * $Id: splash.h,v 1.4 2005/11/06 17:30:53 kevin Exp $
 *
 * Copyright (C) 2005 by Kevin Ferrare
 *
 * All files in this archive are subject to the GNU General Public License.
 * See the file COPYING in the source tree root for full license agreement.
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 * KIND, either express or implied.
 *
 ****************************************************************************/

#ifndef _GUI_SPLASH_H_
#define _GUI_SPLASH_H_
#include "screen_access.h"
/*
 * Puts a splash message on the given screen for a given period
 *  - screen : the screen to put the splash on
 *  - ticks : how long the splash is displayed (in rb ticks)
 *  - center : FALSE means left-justified, TRUE means
 *             horizontal and vertical center
 *  - fmt : what to say *printf style
 */
extern void gui_splash(struct screen * screen, int ticks,
                       bool center,  const char *fmt, ...);

/*
 * Puts a splash message on all the screens for a given period
 *  - ticks : how long the splash is displayed (in rb ticks)
 *  - center : FALSE means left-justified, TRUE means
 *             horizontal and vertical center
 *  - fmt : what to say *printf style
 */
extern void gui_syncsplash(int ticks, bool center,
                           const char *fmt, ...);

#endif /* _GUI_ICON_H_ */
